XmLMessageBox(3X)

NAME
XmLMessageBox - display a simple message dialog

SYNTAX
int XmLMessageBox(widget, string, okOnly)
Widget widget;
XmString string;
Boolean okOnly;

ARGUMENTS

widget
    widget the MessageBox should appear in front of

string
    message to display

okOnly
    display 1 or 3 buttons

DESCRIPTION
Displays a message dialog containing a string and an Ok button if okOnly is True, or a question dialog with three buttons (Ok, Cancel, and Help) and a string if okOnly is False. This function will not return until the user chooses one of the buttons. If the user closes the window via the title bar, the action chosen is assumed to be Ok. The dialog will appear in front of the given widget.

RETURN VALUE
The number of the button chosen, where 1 is Ok, 2 is Cancel, and 3 is Help.